libzypp 17.38.15

DeltaCandidates.h File Reference
`#include <iosfwd>`
`#include <list>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/Function.h>`
`#include <zypp/repo/PackageDelta.h>`
`#include <zypp/Repository.h>`
`#include <zypp/Package.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::DeltaCandidates
| Candidate delta and patches for a package. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Functions
std::ostream & | zypp::repo::operator<< (std::ostream &str, const DeltaCandidates &obj)
| relates: DeltaCandidates Stream output
template<class RepoIter>
DeltaCandidates | zypp::repo::makeDeltaCandidates (RepoIter begin_r, RepoIter end_r)
| relates: DeltaCandidates Convenient construction.
template<class RepoContainer>
DeltaCandidates | zypp::repo::makeDeltaCandidates (const RepoContainer &cont_r)
| relates: DeltaCandidates Convenient construction.